﻿using SenseHat.Helpers;
using System;
using System.IO;
using System.Threading.Tasks;
using Windows.Graphics.Imaging;
using Windows.Storage.Streams;

namespace EmotionsDetector.Helpers
{
    public static class SoftwareBitmapHelper
    {
        public static async Task<Stream> GetBitmapStream(SoftwareBitmap softwareBitmap)
        {
            Check.IsNull(softwareBitmap);

            var bitmapImageInMemoryRandomAccessStream = new InMemoryRandomAccessStream();

            var bitmapEncoder = await BitmapEncoder.CreateAsync(
                BitmapEncoder.BmpEncoderId, bitmapImageInMemoryRandomAccessStream);

            bitmapEncoder.SetSoftwareBitmap(softwareBitmap);

            await bitmapEncoder.FlushAsync();

            return bitmapImageInMemoryRandomAccessStream.AsStream();
        }
    }
}
